Slony-I 2.2.10 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# SLONIK UNLOCK SET

## Name

UNLOCK SET -- Unlock a Slony-I set that was locked

## Synopsis

`UNLOCK SET (options);`

## Description

Unlocks a previously locked set.

`ID = ival`

  ID of the set to unlock

`ORIGIN = ival`

  Node ID of the current set origin

This uses schemadocunlockset(p_set_id integer).

## Example

    UNLOCK SET (
       ID = 1,
       ORIGIN = 3
    );

## Locking Behaviour

Exclusive locks on each replicated table will be taken out on the origin node, as the triggers are removed from each table that reject table updates.

## Slonik Event Confirmation Behaviour

Slonik does not wait for event confirmations before performing this command.

## Version Information

This command was introduced in Slony-I 1.0

Prev | Home | Next
SLONIK LOCK SET | Up | SLONIK MOVE SET